Subject: Re: msvc dll / LoadLibrary and GDB
From: [email-masked] (Steve Shepard)

23 Jul 1997 11:30:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: <[email-masked]>
	(message from Bijan Tuysserkani on Tue, 22 Jul 1997 20: 06:02 -0600)
Original-Sender: [email-masked]

> I try to implement a remote extension for GDB and use 
> a DLL (produced with msvc) for the windows functionality.
> 
> These are my steps so far :
> 
> 1.) I have foo.dll, foo.def
> 2.) build foo.a with dlltool --def foo.def --dllname foo.dll --output-lib
> foo.a
> 3.) gcc -o test_prg test_prg.c foo.a
> 
> This compiles fine, but when I try to run it I get a memory reference error 
> from windows NT. I ran it under GDB and Windows gives me that error when
> the dll library gets implicitly loaded.
> 
> So I used an alternative :
> 
> 1.) Use LoadLibrary to load the dll explicitly
> 2.) Use GetProcAddress to get function pointers to the dll-functions
> 
> That works fine for my test_prg.c, but if I include that in the remote-xxx.c 
> of my GDB extension, GDB will work fine, execute the right functions correct
> and hang up if you try to leave GDB. I do only have to use LoadLibrary to 
> make GDB hang after typing 'quit'.
> 
> Does anybody have any comments or solutions to the stuff above?

Under B18, I had to use Sergey's new cygwin.dll to get my dll
(compiled with msvc) to work. I also had to use the "-k" option to
dlltool.

-Steve

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".